Subject: bug#39272: `man -H` doesn't use absolute path to groff

From: zimoun <[email-masked]>
Date: Tue, 17 Nov 2020 17:09:40 +0100

Hi Maxim,

On Sun, 15 Nov 2020 at 17:48, Maxim Cournoyer <[email-masked]> wrote:

>> When I go into a guix environment containing groff however, it works.
>> Looking at the command `man -H` tries to use, it needs an absolute path
>> to groff.
>
> I looked into this but it turns out that our man-db package is carefully
> crafted not to refer to the full groff package to reduce its closure
> size by more than half.
>
> I think you'll have to live with installing groff manually to get the
> HTML feature, or alter the man-db definition to your particular needs.
>
> If this issue comes back often, we could revisit this choice and use the
> full groff, which would mean adding about 50 MiB to the closure of the
> bare-bones.tmpl system.

I do not know if it is related but #38838:

  <http://issues.guix.gnu.org/issue/38838>

All the best,
simon